/*
    ZEsarUX  ZX Second-Emulator And Released for UniX 
    Copyright (C) 2013 Cesar Hernandez Bano

    This file is part of ZEsarUX.

    ZEsarUX is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef SNAP_H
#define SNAP_H

#define CURRENT_ZX_VERSION 6


extern void snapshot_load(void);
extern void snapshot_load_name(char *nombre);
extern void snapshot_save(char *archivo);

extern z80_bit snap_zx_permitir_versiones_desconocidas;

extern void load_spectrum_simulate_loading(z80_byte *buffer_lectura,z80_int destino,int leidos,z80_byte flag);

extern char *snapfile;
extern z80_byte snap_zx_version_save;
extern void snap_simulate_load_espera_no_tecla(void);

extern z80_bit autosave_snapshot_on_exit;
extern z80_bit autoload_snapshot_on_start;

extern char autosave_snapshot_path_buffer[];

extern void autosave_snapshot(void);

extern void autoload_snapshot(void);


#endif
